## faraday-agent-dispatcher 2.4.0

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 faraday_agent_dispatcher tests

test: ## run tests quickly with the default Python
	py.test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source faraday_agent_dispatcher -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/faraday_agent_dispatcher.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ faraday_agent_dispatcher
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== debian/changelog ===
faraday-agent-dispatcher (2.4.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:10:42 +0200

faraday-agent-dispatcher (2.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.4.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Nov 2022 09:56:32 +0100

faraday-agent-dispatcher (2.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.3.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Sep 2022 14:19:42 +0200

faraday-agent-dispatcher (2.2.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 01 Aug 2022 15:58:37 +0200

=== debian/control ===
Source: faraday-agent-dispatcher
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiohttp,
               python3-all,
               python3-click,
               python3-faraday-agent-parameters-types (>= 1.1.0),
               python3-faraday-plugins (>= 1.8.0),
               python3-gvm,
               python3-itsdangerous,
               python3-marshmallow,
               python3-pytest,
               python3-requests,
               python3-setuptools,
               python3-syslog-rfc5424-formatter,
               python3-websockets,
               python3-yaml,
               python3-zapv2
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: https://github.com/infobyte/faraday_agent_dispatcher

Package: faraday-agent-dispatcher
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: helper to develop integrations with Faraday (Python 3)
 This package contains Faraday Agents Dispatcher. It helps user develop
 integrations with Faraday written in any language.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%faraday-agent-dispatcher-$1.tar.gz%" \
   https://github.com/infobyte/faraday_agent_dispatcher/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## faraday-agent-dispatcher 3.2.1

=== debian/changelog ===
faraday-agent-dispatcher (3.2.1-0kali2) kali-dev; urgency=medium

  * Add a Workaround for eventlet issue

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Feb 2024 17:49:34 +0100

faraday-agent-dispatcher (3.2.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.1
  * Add superficial autopkgtest
  * Bump Standards-Version to 4.6.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 Feb 2024 15:29:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: faraday-agent-dispatcher
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -23,8 +23,10 @@
                python3-yaml,
                python3-zapv2
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/infobyte/faraday_agent_dispatcher
+Vcs-Browser: https://gitlab.com/kalilinux/packages/faraday-agent-dispatcher
+Vcs-Git: https://gitlab.com/kalilinux/packages/faraday-agent-dispatcher.git
 
 Package: faraday-agent-dispatcher
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=faraday-agent-dispatcher

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: faraday-dispatcher --help
Restrictions: superficial
